Description

Supportanfrage

In ADTF 2 we use an own implementation of an ethernet capture filter which uses win pcap as driver.

We would like to switch in ADTF 3 to the PCap Ethernet Receiver Filter but we would keep our configuration possebillity.

We currently configure the used ethernet adapter in this filter with the "NetCfgInstanceId" which can be read out with wireshark

e.g.

\Device\NPF_{0D950037-7BE1-4743-9A17-45DD14351C5F}

another possibility would be to configure it with the short / useful name which can be set with the adapter setting in windows.

Lösung

Product issue is opened:

[ADEVTB-2003] - Address pcap device by NetCfgInstanceId

History

#1 - 2021-05-21 11:52 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::Ethernet

#2 - 2021-05-21 14:20 - hidden

- Private changed from No to Yes

#3 - 2021-05-25 12:46 - hidden

Hello,

just to be sure that I understand the problem.

In your own implementation of the filter you have a property where you set the "NetCfgInstanceId" instead of the IP used by the PCap Ethernet Filter?

So you want to configure the PCap Ethernet Filter also with the "NetCfgInstanceId" or adapter name instead of setting the IP property?

At this time it is not possible to configure the filter not via ip. It's due to the underlying PCapReader which is initialized via IP.

The NetCfgInstanceId or a adapter name would have to be mapped to the IP but in the end it will use the ip again.

Greetings

Nico

#4 - 2021-05-26 07:51 - hidden

Hello Nico,

the overall usecase is to capture every frame which is received by the ethernet adapter.

The specific usecases are:

1.) unicast / broadcast.

We capture with this filter a data stream which is provided by unicast / broadcast. There is no specifc ip address to configure.
2.) VLAN

With the NetCfg Instance id, it is also possible to capture all the VLAN tagged Ethernet frames which is sended to the Ethernet adapter.

Best Regards

Thomas

#7 - 2021-05-27 11:56 - hidden

Hello Thomas,

can you enable the ip4/ip6 protocol for the used ethernet adapter or is it really necessary to have them deactivated?

For still using the PCap Ethernet Receiver Filter you must enable the ip4/ip6 protocol in the windows network adapter settings and afterwards you can

use the ip adress of the adapter in the filter's property.

Greetings

Nico

#8 - 2021-06-07 10:47 - hidden

- Status changed from In Progress to Customer Feedback Required

#10 - 2021-06-08 16:20 - hidden

- Project changed from 5 to Public Support

- Subject changed from Feature Request : Configure the used ethernet adapter with NetCfgInstanceId in PCap Ethernet Receiver Filter to Configure

the used ethernet adapter with net config instance id in PCap Ethernet Receiver Filter

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-2003

See #14471#note-9.

Product issue is opened:

[ADEVTB-2003] - Address pcap device by NetCfgInstanceId

#11 - 2021-06-08 16:20 - hidden

- Status changed from To Be Closed to Closed
